import React from 'react';
import PropTypes from 'prop-types';
import {Marker} from 'react-leaflet';

import PopupElem from './popup-elem';
import getIcon from './icon';

export default function MarkerElemPlus({element}){
    if(element===undefined || element===null){
	console.error('element undefined or null');
	return null;
    }else{
	const markerIcon=getIcon();
	if(markerIcon===null){
	    //TODO Handle issue!
	    console.error('ERROR: icon null');
	    return null;
	}else if(element.lat===undefined||element.lat===null){
	    //TODO Handle issue!
	    console.error('ERROR: element lat undefined or null');
	    return null;
	}else if(element.lon===undefined||element.lon===null){
	    //TODO Handle issue!
	    console.error('ERROR: element lon undefined or null');
	    return null;
	}else{
	    return(
	    <>
		<Marker
		    position={[element.lat,element.lon]}
		    icon={markerIcon}
		>
		    <PopupElem element={element} />
		</Marker>
	    </>
	);
	}
    }
};
MarkerElemPlus.propTypes = {
    element: PropTypes.object
};
